Subject: Re: bug#18875: 25.0.50; Dired -- add support for ls --time-style with a space

From: Keith David Bershatsky <[email-masked]>
Date: Tue, 28 Oct 2014 10:10:12 -0700

Thank you, Eli, for taking a look at this report (#18875).

`hour:minute:seconds` is omitted because there is a space between the date and the time.

C-u C-x d

-alh --group-directories-first --time-style=+%m-%d-%Y %H:%M:%S

Keith

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

At Tue, 28 Oct 2014 19:04:15 +0200,
Eli Zaretskii wrote:
> 
> > Date: Tue, 28 Oct 2014 09:44:07 -0700
> > From: Keith David Bershatsky <[email-masked]>
> > 
> > The ls version that I use is coreutils-8.21 for OSX.  I would like to be able to use a custom time-style format in dired-mode, such that there is a space between the date and the time:
> > 
> > --time-style=+%m-%d-%Y %H:%M:%S
> > 
> > Without modifying the source code, I have not found a viable method to set the `dired-listing-switches`.
> 
> Doesn't "C-u C-x d" do what you want?